library(xts)
library(dplyr)
#Read a timeseries data file in CSV format (e.g.- YF_ANZ.AX.csv) 
dataframe2=read.csv("YF_ANZ.AX.csv",stringsAsFactors=FALSE)
dataframe2$Date<-as.Date(dataframe2$Date) #Convert date column into standard format
#Add additional columns.
dataframe2$Event_Type="DailyMeasures"
dataframe2$Instrument_ID="ANZ.AX" 
dataframe2_csv <- data.frame(dataframe2$Date,dataframe2$Instrument_ID,dataframe2$Event_Type,dataframe2$Volume, dataframe2$Open, dataframe2$Close, dataframe2$High, dataframe2$Low, dataframe2$Adj.Close)
dataframe2_csv <- setNames(dataframe2_csv,c("Timestamp","InstrumentID","EventType","TrdVolume","OpnPrice","ClsPrice","HghPrice","LowPrice","AdjPrice_ClsPrice"))
write.csv(dataframe2_csv,"AD_ANZ_dailyMeasures.csv",row.names=FALSE)
#Create the date_list that will be used to index the rds object. Note that when converting you have the specify the format of the existing dates ("%m/%d/%Y") as the dates are not recorder in a standard format.
date_list2= as.POSIXct(as.Date(dataframe2$Date))
date_list2 = round(date_list2 ,units='days')
head(date_list2)
#[1] "2018-09-04 AEST" "2018-09-05 AEST" "2018-09-06 AEST" "2018-09-07 AEST" "2018-09-10 AEST"
#[6] "2018-09-11 AEST"
#Remove date column from the data and create the xts object.
dataframe2_rds <- dataframe2_csv %>% select(-contains("Timestamp"))
xts_object = xts(dataframe2_rds,order.by = date_list2)
#save it as an R object with time index. 
saveRDS(xts_object,file="AD_ANZ_dailyMeasures.rds")
